diff --git a/changelog b/changelog
index cb137f3..b536698 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090927 tpd src/axiom-website/patches.html 20090927.03.tpd.patch
+20090927 tpd src/interp/rulesets.lisp cleanup
 20090927 tpd src/axiom-website/patches.html 20090927.02.tpd.patch
 20090927 tpd src/interp/server.lisp cleanup
 20090927 tpd src/axiom-website/patches.html 20090927.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8db1f51..9ede5df 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2053,5 +2053,7 @@ src/interp/c-doc.lisp cleanup<br/>
 src/interp/sfsfun.lisp cleanup<br/>
 <a href="patches/20090927.02.tpd.patch">20090927.02.tpd.patch</a>
 src/interp/server.lisp cleanup<br/>
+<a href="patches/20090927.03.tpd.patch">20090927.03.tpd.patch</a>
+src/interp/rulesets.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/rulesets.lisp.pamphlet b/src/interp/rulesets.lisp.pamphlet
index 211df4c..2b2c6d5 100644
--- a/src/interp/rulesets.lisp.pamphlet
+++ b/src/interp/rulesets.lisp.pamphlet
@@ -206,6 +206,8 @@
 
 (DEFUN |createResolveTTRules| ()
   (PROG (|mps| |mpRules|)
+  (declare (special |$generalTTRules| |$nameList| |$abList| |$Res|
+                    |$mpolyTTRules|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |mps| '(MP DMP NDMP))
@@ -452,6 +454,8 @@
 
 (DEFUN |createResolveTMRules| ()
   (PROG (|mps| |mpRules0| |mpRules|)
+  (declare (special |$generalTMRules| |$nameList| |$abList| |$ResMode|
+                    |$mpolyTMRules|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |mps| '(MP DMP NDMP))
@@ -502,6 +506,7 @@
 
 (DEFUN |createTypeEquivRules| ()
   (PROG (|a| |b|)
+  (declare (special |$TypeEQ| |$TypeEqui| |$abList| |$nameList|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$TypeEQ|
@@ -548,7 +553,8 @@
 
 (DEFUN |initializeRuleSets| ()
   (PROG (|$abList| |$nameList|)
-    (DECLARE (SPECIAL |$abList| |$nameList|))
+    (DECLARE (SPECIAL |$abList| |$nameList| |$ruleSetsInitialized|
+                      |$newResolveAbbreviations| |$newResolveAbbreviations|))
     (RETURN
       (PROGN
         (SPADLET |$abList| (ASSOCLEFT |$newResolveAbbreviations|))
